Subject: My final thesis

From: "Cuneyt SAKA" <[email-masked]>
Date: Mon, 28 Feb 2000 23:45:21 +0200

Dear Jan Wielemaker,
 
     I've been preparing my final thesis.It is creating an interface for a prolog 
program to formulate fusion reactions.There is already a prolog program
which is writen by my advisor.It is written with ALS-Prolog.My advisor will debug 
this program for Swi-Prolog and i will develop an interface with XPCE.
    I've been training myself about XPCE with online manual,xpce documentation,
mailinglist etc. for five months.
    I will be very glad  if you help me about these.I need examples about XPCE 
which is developed for basic prolog databases and complex databases..
   For example, let's suppose that we  have basic prolog database which calculate density
of countries in our basic database.(This example is taken from Programming in Prolog by 
W.F. Cloksin and C.S.Mellish).
 
  pop(usa,203).
  pop(india,548).
  pop(chine,800).
  pop(brazil,108).
  
 area(usa,3).
 area(india,1).
 area(china,4).
 area(brazil,3).
 
density(X,Y) :-
      pop(X,P),
      area(X,A),
      Y is P/A.
 
    Or a common complex databases's interface like howers of tanoi..  
    Which Xpce classes,objects do i need for creating Graphical User Interface with XPCE for this basic
    and complex databases.
    I need many examples about that. (from basic to complex databases.)
 
   Thanks for your interest..
 
  With my best regards,
  Cuneyt SAKA